Package org.apache.tools.ant.taskdefs.optional.image

# Class Image

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.MatchingTask
org.apache.tools.ant.taskdefs.optional.image.Image

All Implemented Interfaces:
  `Cloneable`, `SelectorContainer`

@Deprecated public class Image extends MatchingTask
Deprecated.
JAI is not developed any more. Internal APIs that JAI depends on were scheduled for removal in Java 7 and finally removed in Java 9.
A MatchingTask which relies on JAI (Java Advanced Imaging) to perform image manipulation operations on existing images. The operations are represented as ImageOperation DataType objects. The operations are arranged to conform to the Chaining Model of JAI. Check out the JAI Programming Guide.

See Also:
  - `ImageOperation`
  - `DataType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected File`
  `destDir`
  Deprecated.
  `protected Vector<FileSet>`
  `filesets`
  Deprecated.
  `protected boolean`
  `garbage_collect`
  Deprecated.
  `protected Vector<ImageOperation>`
  `instructions`
  Deprecated.
  `protected boolean`
  `overwrite`
  Deprecated.
  `protected File`
  `srcDir`
  Deprecated.
  `protected String`
  `str_encoding`
  Deprecated.

  ### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

  `fileset`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Image()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(ImageOperation instr)`
  Deprecated.
  Add an ImageOperation to chain.
  `void`
  `add(FileNameMapper fileNameMapper)`
  Deprecated.
  Add a nested filenamemapper.
  `void`
  `addDraw(Draw instr)`
  Deprecated.
  Add a Draw ImageOperation to the chain.
  `void`
  `addFileset(FileSet set)`
  Deprecated.
  Add a set of files to be deleted.
  `void`
  `addImageOperation(ImageOperation instr)`
  Deprecated.
  Add an ImageOperation to chain.
  `void`
  `addRotate(Rotate instr)`
  Deprecated.
  Add a Rotate ImageOperation to the chain.
  `void`
  `addScale(Scale instr)`
  Deprecated.
  Add a Scale ImageOperation to the chain.
  `Mapper`
  `createMapper()`
  Deprecated.
  Defines the mapper to map source to destination files.
  `void`
  `execute()`
  Deprecated.
  Executes the Task.
  `int`
  `processDir(File srcDir, String[] srcNames, File dstDir, FileNameMapper mapper)`
  Deprecated.
  Executes all the chained ImageOperations on the files inside the directory.
  `void`
  `processFile(File file)`
  Deprecated.
  this method isn't used anymore
  `void`
  `processFile(File file, File newFile)`
  Deprecated.
  Executes all the chained ImageOperations on the file specified.
  `void`
  `setDestDir(File destDir)`
  Deprecated.
  Set the destination directory for manipulated images.
  `void`
  `setEncoding(String encoding)`
  Deprecated.
  Set the image encoding type.
  `void`
  `setFailOnError(boolean failonerror)`
  Deprecated.
  Set whether to fail on error.
  `void`
  `setGc(boolean gc)`
  Deprecated.
  Set whether to invoke Garbage Collection after each image processed.
  `void`
  `setOverwrite(boolean overwrite)`
  Deprecated.
  Set whether to overwrite a file if there is a naming conflict.
  `void`
  `setSrcdir(File srcDir)`
  Deprecated.
  Set the source dir to find the image files.
  `protected void`
  `validateAttributes()`
  Deprecated.
  Ensure we have a consistent and legal set of attributes, and set any internal flags necessary based on different combinations of attributes.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

  `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### instructions

    protected Vector<ImageOperation> instructions
    Deprecated.

  - ### overwrite

    protected boolean overwrite
    Deprecated.

  - ### filesets

    protected Vector<FileSet> filesets
    Deprecated.

  - ### srcDir

    protected File srcDir
    Deprecated.

  - ### destDir

    protected File destDir
    Deprecated.

  - ### str_encoding

    protected String str_encoding
    Deprecated.

  - ### garbage_collect

    protected boolean garbage_collect
    Deprecated.

- ## Constructor Details

  - ### Image

    public Image()
    Deprecated.

- ## Method Details

  - ### addFileset

    public void addFileset(FileSet set)
    Deprecated.
    Add a set of files to be deleted.
    Parameters:
      `set` - the FileSet to add.

  - ### setFailOnError

    public void setFailOnError(boolean failonerror)
    Deprecated.
    Set whether to fail on error. If false, note errors to the output but keep going.
    Parameters:
      `failonerror` - true or false.

  - ### setSrcdir

    public void setSrcdir(File srcDir)
    Deprecated.
    Set the source dir to find the image files.
    Parameters:
      `srcDir` - the directory in which the image files reside.

  - ### setEncoding

    public void setEncoding(String encoding)
    Deprecated.
    Set the image encoding type. See the encoding table in the JAI Programming Guide.
    Parameters:
      `encoding` - the String image encoding.

  - ### setOverwrite

    public void setOverwrite(boolean overwrite)
    Deprecated.
    Set whether to overwrite a file if there is a naming conflict.
    Parameters:
      `overwrite` - whether to overwrite.

  - ### setGc

    public void setGc(boolean gc)
    Deprecated.
    Set whether to invoke Garbage Collection after each image processed. Defaults to false.
    Parameters:
      `gc` - whether to invoke the garbage collector.

  - ### setDestDir

    public void setDestDir(File destDir)
    Deprecated.
    Set the destination directory for manipulated images.
    Parameters:
      `destDir` - The destination directory.

  - ### addImageOperation

    public void addImageOperation(ImageOperation instr)
    Deprecated.
    Add an ImageOperation to chain.
    Parameters:
      `instr` - The ImageOperation to append to the chain.

  - ### addRotate

    public void addRotate(Rotate instr)
    Deprecated.
    Add a Rotate ImageOperation to the chain.
    Parameters:
      `instr` - The Rotate operation to add to the chain.
    See Also:
      - `Rotate`

  - ### addScale

    public void addScale(Scale instr)
    Deprecated.
    Add a Scale ImageOperation to the chain.
    Parameters:
      `instr` - The Scale operation to add to the chain.
    See Also:
      - `Scale`

  - ### addDraw

    public void addDraw(Draw instr)
    Deprecated.
    Add a Draw ImageOperation to the chain. DrawOperation DataType objects can be nested inside the Draw object.
    Parameters:
      `instr` - The Draw operation to add to the chain.
    See Also:
      - `Draw`
      - `DrawOperation`

  - ### add

    public void add(ImageOperation instr)
    Deprecated.
    Add an ImageOperation to chain.
    Parameters:
      `instr` - The ImageOperation to append to the chain.
    Since:
      Ant 1.7

  - ### createMapper

    public Mapper createMapper() throws BuildException
    Deprecated.
    Defines the mapper to map source to destination files.
    Returns:
      a mapper to be configured
    Throws:
      `BuildException` - if more than one mapper is defined
    Since:
      Ant 1.8.0

  - ### add

    public void add(FileNameMapper fileNameMapper)
    Deprecated.
    Add a nested filenamemapper.
    Parameters:
      `fileNameMapper` - the mapper to add.
    Since:
      Ant 1.8.0

  - ### processDir

    public int processDir(File srcDir, String[] srcNames, File dstDir, FileNameMapper mapper)
    Deprecated.
    Executes all the chained ImageOperations on the files inside the directory.
    Parameters:
      `srcDir` - File
      `srcNames` - String[]
      `dstDir` - File
      `mapper` - FileNameMapper
    Returns:
      int
    Since:
      Ant 1.8.0

  - ### processFile

    @Deprecated public void processFile(File file)
    Deprecated.
    this method isn't used anymore
    Executes all the chained ImageOperations on the file specified.
    Parameters:
      `file` - The file to be processed.

  - ### processFile

    public void processFile(File file, File newFile)
    Deprecated.
    Executes all the chained ImageOperations on the file specified.
    Parameters:
      `file` - The file to be processed.
      `newFile` - The file to write to.
    Since:
      Ant 1.8.0

  - ### execute

    public void execute() throws BuildException
    Deprecated.
    Executes the Task.
    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - on error.

  - ### validateAttributes

    protected void validateAttributes() throws BuildException
    Deprecated.
    Ensure we have a consistent and legal set of attributes, and set any internal flags necessary based on different combinations of attributes.
    Throws:
      `BuildException` - on error.